Mangools/API

Get audience for siteprofiler

Prerequisites

Call /siteprofiler/overview for the same URL first (within the last 24 hours). Without a recent overview lookup the endpoint returns HTTP 429 Not in history.

GET
/siteprofiler/audience

Authorization

ApiKeyAuth
x-access-token<token>

Your Mangools API key

In: header

Query Parameters

url*string

Target URL / domain / subdomain

Response Body

application/json

curl -X GET "https://api.mangools.com/v3/siteprofiler/audience?url=string"
{
  "urlID": "6be984976f0eedca1741745c5e5290c0",
  "moz": {
    "upa": 61,
    "pda": 60
  },
  "majestic": {
    "Status": "Found",
    "RefIPs": 3475,
    "ItemType": 3,
    "CitationFlow": 53,
    "TrustFlow": 63
  },
  "fb": {
    "l": null,
    "og": null
  },
  "domainId": "exampledomain.com",
  "domain": "exampledomain.com",
  "majesticHistory": {},
  "rankDist": {
    "_id": "f96c16a793a4f2f376ec7272382860d2",
    "domain": "exampledomain.com",
    "bucket": -1896106463,
    "lid": 2250,
    "visibility": {
      "2019-04": {
        "organic": {
          "sum": 447,
          "traffic": 403,
          "index": 902
        },
        "paid": {
          "sum": 447,
          "traffic": 0,
          "index": 0
        },
        "updated_at": 1558086619834
      }
    },
    "rank": {
      "2019-04": {
        "organic": [
          {
            "r": 1,
            "v": 2
          },
          {
            "r": 10,
            "v": 1
          }
        ],
        "paid": [],
        "updated_at": 1558086619834
      }
    }
  },
  "topRank": 3190,
  "topRankHistory": {
    "2020-10-05": 13050,
    "2021-02-19": 9312,
    "2021-04-12": 7886
  }
}